
# requires the OpenCL patches
%define llvm_version			19.1.0
%define spirv_llvm_translator_version	19.1.0

Summary:	Intel Graphics Compute Runtime for OpenCL
Summary(pl.UTF-8):	Biblioteki uruchomieniowe Intel Graphics Compute dla OpenCL
Name:		opencl-clang
Version:	19.1.0
Release:	4
License:	University of Illinois/NCSA Open Source License
Group:		Libraries
Source0:	https://github.com/intel/opencl-clang/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d13adaabbcfe87744c9b783871390238
URL:		https://01.org/compute-runtime
BuildRequires:	SPIRV-LLVM-Translator-devel >= %{spirv_llvm_translator_version}
BuildRequires:	clang >= %{llvm_rpm_version}
BuildRequires:	clang-devel >= %{llvm_version}
BuildRequires:	cmake >= 3.13.4
BuildRequires:	llvm-devel >= %{llvm_version}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Common clang is a thin wrapper library around clang. Common clang has
OpenCL-oriented API and is capable to compile OpenCL C kernels to
SPIR-V modules.

%description -l pl.UTF-8
Common clang to niewielka biblioteka obudowująca clanga. Ma API
zorientowane na OpenCL i potrafi kompilować jądra C OpenCL do modułów
WPIR-V

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
%requires_eq	clang-devel
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DUSE_PREBUILT_LLVM=ON \
	-DPREFERRED_LLVM_VERSION="%{llvm_version}" \
	-DLLVMSPIRV_INCLUDED_IN_LLVM=OFF \
	-DSPIRV_TRANSLATOR_DIR="%{_prefix}" \
	-DGIT_EXECUTABLE=/bin/false \
	../
%{__make}

cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so.19.1 $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so.%{llvm_version}
ln -s libopencl-clang.so.%{llvm_version} $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so.19.1
ln -sf libopencl-clang.so.%{llvm_version} $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libopencl-clang.so.%{llvm_version}
%ghost %attr(755,root,root) %{_libdir}/libopencl-clang.so.19.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopencl-clang.so
%{_includedir}/cclang
%changelog
* Wed Jan 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/opencl-clang.git;a=log;h=master

* Wed Jan 22 2025 Jan Palus <atler@pld-linux.org> 9e193e8
- llvm 19.1.7 rebuild

* Mon Dec 16 2024 Jan Palus <atler@pld-linux.org> 64321a2
- Release 3 (by relup.sh)

* Fri Dec 13 2024 Jan Palus <atler@pld-linux.org> 0947f2c
- llvm 19.1.5 rebuild

* Fri Oct 18 2024 Jan Palus <atler@pld-linux.org> 1c24f3e
- up to 19.1.0

* Tue Oct 01 2024 Jan Palus <atler@pld-linux.org> a970410
- up to 18.1.1

* Fri Apr 05 2024 Jan Palus <atler@pld-linux.org> 38b9be4
- up to 18.1.0

* Sun Oct 08 2023 Jan Palus <atler@pld-linux.org> b8e7b49
- up to 17.0.0

* Tue Jun 06 2023 Jan Palus <atler@pld-linux.org> f1752e1
- llvm rebuild

* Sat May 20 2023 Jan Palus <atler@pld-linux.org> 91f591a
- up to 16.0.0

* Mon Mar 06 2023 Jan Rękorajski <baggins@pld-linux.org> 6656c21
- Release 3 (by relup.sh)

* Mon Nov 28 2022 Jan Palus <atler@pld-linux.org> eb4743a
- llvm rebuild

* Sat Oct 15 2022 Jan Palus <atler@pld-linux.org> 4429c6a
- up to 15.0.0

* Tue Jun 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 988cfd1
- release 3 (llvm 14.0.6 on x32)

* Mon Jun 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 60ea41c
- pl, release 2 (rebuild with clang 14.0.6)

* Tue May 31 2022 Jan Palus <atler@pld-linux.org> 94ecc35
- up to 14.0.0

* Fri Feb 25 2022 Jan Palus <atler@pld-linux.org> d1a964b
- llvm rebuild

* Sun Nov 07 2021 Jan Palus <atler@pld-linux.org> 37033eb
- up to 13.0.0

* Mon Jul 12 2021 Jan Palus <atler@pld-linux.org> 4bd6aa2
- llvm rebuild

* Wed May 26 2021 Jan Palus <atler@pld-linux.org> 649fde2
- up to final 12.0.0

* Tue May 25 2021 Jan Palus <atler@pld-linux.org> 77ea7f9
- macros for %cmake

